#pragma once
#include "icodec.h"
#include "windows.h"
#include "mmsystem.h"
#include "mmreg.h"
#include "msacm.h"
#include "AudioFile.h"

class CAcm :
	public ICodec
{
public:
	HWND m_hwndEvent;
	UINT m_msg;
	HACMSTREAM m_hStream;
	CAudioFile* m_pAudioFile;
	MPEGLAYER3WAVEFORMAT m_WaveFormatDest;
	int m_Bitrate;
	BOOL m_bEncode;
	short* m_psDest;
	int m_destSize;
	short* m_psSource;
	int m_sourceSize;
	int m_NumberOfConversions;
	FILE* m_pOutputFile;
	BOOL m_bEnd;
	CAcm();
	~CAcm();
	long Open(wchar_t* pcDstFileName, wchar_t* pcSrcFileName, 
		      HWND hwndEvent, UINT msg);
	int Convert();
	void Close();
	void HandleEvent(BOOL* bEnd);
};
