#include "StdAfx.h"
#include "windows.h"
#include "CodecCreator.h"
#include "Acm.h"
#include "LameCodec.h"
#include "DirectShow.h"
#include "resource.h"

void CCodecCreator::getObject(int ObjectID, ICodec** ppCodec)
{
	if(*ppCodec)
		delete *ppCodec;

	switch(ObjectID) {
		case IDC_ACM:
			*ppCodec = new CAcm();
			break;
		case IDC_LAME:
			*ppCodec = new CLame();
			break;
		case IDC_DIRECTSHOW:
			*ppCodec = new CDshow();
			break;
	}
}