#pragma once
#include "icodec.h"
#include "windows.h"
#include "mmsystem.h"
#include "lame.h"
#include "AudioFile.h"

class CLame : public ICodec
{
public:
	HWND m_hwndEvent;
	UINT m_msg;
	lame_global_flags* m_lame_global_flags;
	CAudioFile* m_pAudioFile;
	int m_Bitrate;
	BOOL m_bEncode;
	short* m_psDest;
	int m_destSize;
	short* m_psSource;
	int m_sourceSize;
	int m_NumberOfConversions;
	FILE* m_pOutputFile;
	BOOL m_bEnd;
	CLame();
	~CLame();
	long Open(wchar_t* pcDstFileName, wchar_t* pcSrcFileName,
		      HWND hwndEvent, UINT msg);
	int Convert();
	void Close();
	void HandleEvent(BOOL* bEnd);
};
