#include "vstgui.h"

class DelayUI : public AEffGUIEditor, public CControlListener
{
public:
	DelayUI (AudioEffect* effect);
	virtual ~DelayUI ();

public:
	virtual bool open (void* ptr);
	virtual void close ();

	virtual void setParameter (VstInt32 index, float value);
	virtual void valueChanged (CDrawContext* context, CControl* control);

private:
	// Controls
	CVerticalSlider* delayFaderLeft;
	CVerticalSlider* delayFaderRight;
	CVerticalSlider* feedbackFaderLeft;	
	CVerticalSlider* feedbackFaderRight;

	CParamDisplay* delayDisplayLeft;
	CParamDisplay* delayDisplayRight;
	CParamDisplay* feedbackDisplayLeft;	
	CParamDisplay* feedbackDisplayRight;

	// Bitmap
	CBitmap* hBackground;
};

